aboutsummaryrefslogtreecommitdiffstats
path: root/setup.py
diff options
context:
space:
mode:
authorAlexandru Croitor <alexandru.croitor@qt.io>2018-06-21 21:36:20 +0200
committerAlexandru Croitor <alexandru.croitor@qt.io>2018-06-22 09:02:44 +0000
commitf3b87fead2d4cb2a790f0709080551e252d5a46c (patch)
treead3fd2622d4d7181d860141420e5d9d0b877d182 /setup.py
parent87942459a27465439eb85d083545bfe0fddf2ff4 (diff)
Associate Coin snapshot builds with Coin integration IDs
This change adds a new setup.py option called --package-timestamp which allows setting the "dev" part of the version number of a snapshot package. It also modifies coin_build_instructions.py to set the package timestamp to the value of the Coin integration ID. This has a couple of benefits: 1) We can look up the build and test logs of a specific package on testresults.qt.io. This can also be looked up for non-snapshot builds, the "timestamp = Coin integration ID" can also be found in the generated __init__.py file. 2) All the different platform packages within one integration will have the same timestamp, which allows pinning snapshot packages inside a pipenv Pipfile. 3) It's easier to figure out which packages were built as part of the same Coin integration. Task-number: PYSIDE-680 Change-Id: Idb2f2d2313cee213a5d742f88b60315a4e505250 Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Friedemann Kleint <Friedemann.Kleint@qt.io> Reviewed-by: Cristian Maureira-Fredes <cristian.maureira-fredes@qt.io>
Diffstat (limited to 'setup.py')
-rw-r--r--setup.py4
1 files changed, 4 insertions, 0 deletions
diff --git a/setup.py b/setup.py
index a24e656e..42d74ca7 100644
--- a/setup.py
+++ b/setup.py
@@ -140,6 +140,10 @@ using `setup.py build`:
--skip-docs skip the documentation generation.
--limited-api=yes|no default yes if applicable
Set or clear the limited API flag. Ignored for Python 2.
+ --package-timestamp allows specifying the timestamp that will be
+ used as part of the version number for a snapshot package.
+ For example given --package-timestamp=1529646276
+ the package version will be 5.x.y.dev1529646276.
REQUIREMENTS: